### Virtual Method

# Camel Medium get_headers

since: 3.24

#### Declaration [src]

    const CamelNameValueArray*
    get_headers (
      CamelMedium* medium
    )

#### Description [src]

Gets an array of all header name/value pairs. The values will be decoded to UTF-8 for any headers that are recognized by Camel. See also camel_medium_dup_headers().

Available since: 3.24

#### Return value

Type: `CamelNameValueArray`

The array of headers, owned by `medium`.

The returned data is owned by the instance.